# Edit a team user

This function modifies a team user.

Endpoint: GET /Team/edit_team_user
Version: 11.136.0.14
Security: BasicAuth

## Query parameters:

  - `user` (string, required)
    The username of the team user.
    Example: "teamUser"

  - `add_role` (string)
    The role or roles to add to the team user.
    Example: "database"

  - `email1` (string)
    The primary contact email address to set for the team user.
    Example: "teamuser@example.com"

  - `email2` (string)
    The secondary contact email address to set for the team user.
    Example: "teamuser@example.com"

  - `expire_reason` (string)
    The reason for expiration.
    Example: "teamUser gave a two week notice."

  - `notes` (string)
    Notes about the new team user. This field should not contain private information.
    Example: "This is a note about teamUser"

  - `password` (string)
    The password to set for the team user.
    Example: "securepassword"

  - `remove_role` (string)
    The role or roles to remove from the team user.
    Example: "database"

  - `services.email.enabled` (integer)
    Whether to create or remove an email subaccount for the team user. A subaccount is always created for a team user, but it does not have any associated service subaccounts by default.

* 1 - Create and associate an email subaccount.
* 0 - Remove any associated email subaccounts.
    Enum: 0, 1

  - `services.email.quota` (string)
    The maximum amount of disk space, in megabytes (MB), allocated to the team user's email account.

* 0 or unlimited - The subaccount has unlimited disk space.

This value defaults to the defined system value.

Note:

This value cannot be larger than the system's maximum email quota.
    Example: "500"

  - `services.ftp.enabled` (integer)
    Whether to create or remove an FTP subaccount for the team user. A subaccount is always created for a team user, but it does not have any associated service subaccounts by default.

* 1 - Create and associate an FTP subaccount.
* 0 - Remove any associated FTP subaccounts.
    Enum: 0, 1

  - `services.ftp.homedir` (string)
    The team user's FTP home directory, relative to the cPanel account's home directory.

Note:

* This parameter is required if you enabled the services.ftp.homedir parameter.
* The directory must exist.
    Example: "/Teamusername"

  - `services.webdisk.enabled` (integer)
    Whether to create or remove a Web Disk subaccount for the team user. A subaccount is always created for a team user, but it does not have any associated service subaccounts by default.

* 1 - Create and associate a Web Disk subaccount.
* 0 - Remove any associated Web Disk subaccounts.
    Enum: 0, 1

  - `services.webdisk.enabledigest` (integer)
    Whether to enable the Web Disk Digest Authentication.

* 1 - Enabled.
* 0 - Disabled.

Note:

* Only enable Digest Authentication for clients that require additional compatibility support on
  certain versions of Windows® operating systems. This compatibility support is only required on servers
  that use a self-signed certificate for the cpsrvd and cpdavd daemons.
* We recommend that you do not use Digest Authentication.
    Enum: 0, 1

  - `services.webdisk.homedir` (string)
    The team user's Web Disk home directory, relative to the cPanel account's home directory.

Note:

This parameter is required if you enable the services.webdisk.enabled parameter.
    Example: "/Teamusername"

  - `services.webdisk.perms` (string)
    The team user's file permissions for its Web Disk home directory.

* ro - Read-only permissions.
* rw - Read and write permissions.

Note:

 The services.webdisk.homedir parameter determines the team user's Web Disk home directory.
    Example: "rw"

  - `services.webdisk.private` (integer)
    Whether to set the directory's permissions to public or private.

* 1 - Private (0700).
* 0 - Public (0755).
    Enum: 0, 1

  - `set_expire` (any)
    The epoch time the team user account expires on or the offset in days.

  - `set_role` (string)
    The role or roles to set for the team user.
    Example: "email"

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "edit_team_user"

  - `module` (string)
    The name of the module called.
    Example: "Team"

  - `result` (object)

  - `result.data` (object,null)

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.metadata.transformed` (integer)
    Post-processing may have transformed the data.
    Enum: 1

  - `result.status` (integer)
    - 1 - Success
- 0 - Failed: Check the errors field for more details.
    Enum: 1, 0

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


